### File

`packages/eui/packages/components-next/src/lib/components/eui-input-text/eui-input-text.component.ts`

### Extends

`InputDirective`

### Implements

`OnInit` `OnDestroy` `DoCheck`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `input[euiInputText]`
styleUrls | `./styles/_index.scss`

### Index

###### Inputs
class isInvalid
###### Accessors
class isInvalid

### Constructor

`constructor(control: NgControl, _elementRef: ElementRef, _renderer: Renderer2)`
Parameters :
Name | Type | Optional
control | `NgControl` | No
_elementRef | `ElementRef` | No
_renderer | `Renderer2` | No

### Inputs

class
Type : `string`

isInvalid

### Accessors

class
get `class()`
set `class(cssClass: string)`
Parameters :
Name | Type | Optional
cssClass | `string` | No
Returns : `void`

isInvalid
set `isInvalid(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

# result-matching ""

# No results matching ""